Subject: [Sip] 406 Not Acceptable

From: "Alexeitsev, D" <[email-masked]>
Date: Thu, 24 Oct 2002 13:42:45 +0200

Hello All,

Could someone clarify what this paragraph is trying to say and what are the "response entities"? Is this response only possible to the requests with Accept header?

21.4.7 406 Not Acceptable

   The resource identified by the request is only capable of generating
   response entities that have content characteristics not acceptable
   according to the Accept header field sent in the request.

Greetings,
Denis Alexeitsev
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: KANUMURI Sreeram <[email-masked]>
Date: Thu, 24 Oct 2002 08:20:00 -0400

Hi all,

I am looking for a SIP-Proxyserver for testing my SIP-UA.

so can any one tell me where i can get a SIP proxy with CALLFORWARDNOANSWER
feature in the proxy for testing of my sipUA.

if it is a executable is also  sufficient for me.

TIA

-sreeram

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 24 Oct 2002 09:47:44 -0400

An "entity" in this context is the body of the SIP message.

Note that in the absence of an Accept header field the assumption is that
"Accept: application/sdp" is present.

Given that this is a 4xx-series error, it is saying that the UAC has caused
a problem by saying that the only body types it can accept are types the UAS
cannot generate.  I have a hard time imagining an applicable case with SIP
-- likely the request would fail on some other ground anyway.  The header
field and the error both come from HTTP: see RFC 2616 section 14.1.

> -----Original Message-----
> From: Alexeitsev, D [mailto:[email-masked]] 
> Sent: Thursday, October 24, 2002 7:43 AM
> To: [email-masked]
> Subject: [Sip] 406 Not Acceptable
> 
> 
> Hello All,
> 
> Could someone clarify what this paragraph is trying to say 
> and what are the "response entities"? Is this response only 
> possible to the requests with Accept header?
> 
> Denis Alexeitsev _______________________________________________
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments on the 
> application of sip
>